Package org.apache.tapestry5.services

## Class ComponentLibraryInfo.DefaultSourceUrlResolver

- java.lang.Object
- - org.apache.tapestry5.services.ComponentLibraryInfo.DefaultSourceUrlResolver

- All Implemented Interfaces:
    `ComponentLibraryInfo.SourceUrlResolver`
  Enclosing class:
    ComponentLibraryInfo

      public static class ComponentLibraryInfo.DefaultSourceUrlResolver
      extends java.lang.Object
      implements ComponentLibraryInfo.SourceUrlResolver

  Default `ComponentLibraryInfo.SourceUrlResolver` implementation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultSourceUrlResolver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `resolve​(java.lang.String className)` | Returns the source URL for a given class.
    `void` | `setRootUrl​(java.lang.String url)` | Sets the source root URL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSourceUrlResolver

          public DefaultSourceUrlResolver()

  - ### Method Detail

    - #### resolve

          public java.lang.String resolve​(java.lang.String className)

      Description copied from interface: `ComponentLibraryInfo.SourceUrlResolver`
      Returns the source URL for a given class.
      Specified by:
        `resolve` in interface `ComponentLibraryInfo.SourceUrlResolver`
      Parameters:
        `className` - the fully qualified class name.

    - #### setRootUrl

          public void setRootUrl​(java.lang.String url)

      Description copied from interface: `ComponentLibraryInfo.SourceUrlResolver`
      Sets the source root URL. This method will be invoked by `ComponentLibraryInfo.setSourceBrowseUrl(String)`.
      Specified by:
        `setRootUrl` in interface `ComponentLibraryInfo.SourceUrlResolver`